# Uses of Class
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter

Packages that use ClientWireProtocol.SetParameter
Package
Description
com.ocient.jdbc
com.ocient.jdbc.proto

## Uses of ClientWireProtocol.SetParameter in com.ocient.jdbc

Methods in com.ocient.jdbc with parameters of type ClientWireProtocol.SetParameter
Modifier and Type
Method
Description
`CompletionStage<CompletableFutures.SQLResult<Integer>>`
XGConnection.`sendParameterMessage(ClientWireProtocol.SetParameter param)`

## Uses of ClientWireProtocol.SetParameter in com.ocient.jdbc.proto

Methods in com.ocient.jdbc.proto that return ClientWireProtocol.SetParameter
Modifier and Type
Method
Description
`ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.Builder.`build()`
`ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.Builder.`buildPartial()`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`getDefaultInstance()`
`ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.Builder.`getDefaultInstanceForType()`
`ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`getDefaultInstanceForType()`
`ClientWireProtocol.SetParameter`
ClientWireProtocol.Request.Builder.`getSetParameter()`
31 is defined above
`ClientWireProtocol.SetParameter`
ClientWireProtocol.Request.`getSetParameter()`
31 is defined above
`ClientWireProtocol.SetParameter`
ClientWireProtocol.RequestOrBuilder.`getSetParameter()`
31 is defined above
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseDelimitedFrom(InputStream input)`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseFrom(byte[] data)`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseFrom(ByteString data)`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseFrom(CodedInputStream input)`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseFrom(InputStream input)`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseFrom(ByteBuffer data)`
`static ClientWireProtocol.SetParameter`
ClientWireProtocol.SetParameter.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.ocient.jdbc.proto that return types with arguments of type ClientWireProtocol.SetParameter
Modifier and Type
Method
Description
`Parser<ClientWireProtocol.SetParameter>`
ClientWireProtocol.SetParameter.`getParserForType()`
`static Parser<ClientWireProtocol.SetParameter>`
ClientWireProtocol.SetParameter.`parser()`
Methods in com.ocient.jdbc.proto with parameters of type ClientWireProtocol.SetParameter
Modifier and Type
Method
Description
`ClientWireProtocol.SetParameter.Builder`
ClientWireProtocol.SetParameter.Builder.`mergeFrom(ClientWireProtocol.SetParameter other)`
`ClientWireProtocol.Request.Builder`
ClientWireProtocol.Request.Builder.`mergeSetParameter(ClientWireProtocol.SetParameter value)`
31 is defined above
`static ClientWireProtocol.SetParameter.Builder`
ClientWireProtocol.SetParameter.`newBuilder(ClientWireProtocol.SetParameter prototype)`
`ClientWireProtocol.Request.Builder`
ClientWireProtocol.Request.Builder.`setSetParameter(ClientWireProtocol.SetParameter value)`
31 is defined above